Skip to content

Search Tenders

Search and filter EU tenders from TED and other sources.

Endpoint

POST /api/v1/tenders/search

Request Body

json
{
  "title": "construction",
  "status": "active",
  "publishedAt": {
    "from": "2024-01-01T00:00:00Z",
    "until": "2024-12-31T23:59:59Z"
  },
  "deadlineAt": {
    "from": "2024-06-01T00:00:00Z",
    "until": null
  },
  "sources": ["ted"],
  "cpvCodes": ["45000000", "71000000"],
  "buyerName": "Ministry",
  "BuyerCountries": ["DE", "FR"],
  "estimatedValue": {
    "minValue": 10000,
    "maxValue": 500000,
    "currency": "EUR"
  },
  "sortBy": "publicationDate",
  "limit": 20,
  "offset": 0
}

Fields

FieldTypeDescription
titlestringFilter by tender title (partial match)
statusstringTender status (e.g. active, closed)
publishedAtDateRangeFilterFilter by publication date range
deadlineAtDateRangeFilterFilter by submission deadline range
sourcesstring[]Data sources to include. Currently supported: ted, enarocanje
cpvCodesstring[]Filter by CPV codes (8-digit codes)
buyerNamestringFilter by contracting authority name (partial match)
BuyerCountriesstring[]Filter by buyer country (ISO 3166-1 alpha-2). Supported: 27 EU member states + CH
estimatedValueEstimatedValueFilterFilter by estimated contract value
sortBystringField to sort results by
limitintegerNumber of results to return (pagination)
offsetintegerNumber of results to skip (pagination)

DateRangeFilter

FieldTypeDescription
fromstring | nullStart of range (ISO 8601 datetime)
untilstring | nullEnd of range (ISO 8601 datetime)

EstimatedValueFilter

FieldTypeDescription
minValuenumberMinimum estimated value
maxValuenumberMaximum estimated value
currencystringCurrency code (ISO 4217, e.g. EUR)

Response

json
{
  "tenders": [
    {
      "title": "Road construction works",
      "status": "active",
      "source": "ted",
      "publicationDate": "2024-03-15T00:00:00Z",
      "deadline": "2024-05-01T12:00:00Z",
      "buyer": {
        "name": "Federal Ministry of Transport",
        "country": "DE"
      },
      "cpvCodes": ["45233000"],
      "link": "https://ted.europa.eu/udl?uri=TED:NOTICE:..."
    }
  ],
  "total": 142
}

TenderResponse

FieldTypeDescription
titlestringTender title
statusstringTender status
sourcestringData source (ted, enarocanje)
publicationDatestringISO 8601 publication datetime
deadlinestring | nullISO 8601 submission deadline, or null if not set
buyer.namestringContracting authority name
buyer.countrystringBuyer country (ISO 3166-1 alpha-2)
cpvCodesstring[]CPV codes for this tender
linkstringURL to the original tender notice

Error Responses

StatusDescription
400 Bad RequestMalformed JSON body
500 Internal Server ErrorDatabase or server error